Page MenuHomeFreeBSD

Add oflag=fsync and oflag=sync capability to dd
ClosedPublic

Authored by ryan_freqlabs.com on Aug 26 2019, 8:53 PM.

Details

Summary

Sets the O_FSYNC flag on the output file. oflag=fsync and oflag=sync are synonyms just as O_FSYNC and O_SYNC are synonyms. This functionality is intended to improve portability of dd commands in the ZFS test suite.

Sponsored by: iXsytems, Inc.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

I also plan to add support for iflag=fullblock in a follow-up revision.

bcr accepted this revision as: manpages.Aug 27 2019, 7:36 AM
bcr added a subscriber: bcr.

OK from manpages. Make sure to bump the .Dd for this content change.
Thank you!

0mp added a subscriber: 0mp.Aug 27 2019, 7:43 AM

Another OK from manpages!

mmacy accepted this revision.Sep 30 2019, 9:54 PM
This revision is now accepted and ready to land.Sep 30 2019, 9:54 PM
This revision was automatically updated to reflect the committed changes.